<form method ='post' enctype ="multipart/form-data" action="{% if edit %}{% url 'profile:admin_managemen_edit_BAP' dt_bap.SPK.id %} {% else %} {% url 'profile:admin_managemen_create_BAP' dt_spk.id %}{% endif %}">
    {% csrf_token %}
    <div class="row">
        <div class="col-md-6">
            <div class="row">
                <div class="col-md-3"> No BAP </div>
                <div class="col-md-9"> 
                    <input type="text" name="nobap" value="{% if edit %}{{dt_bap.nobap}}{% else %}{{bapa_no}}/{{nomor_bapa}}/{{bulan_romawi}}/{{tahun_tahapan}} {% endif %}" class="form-control" required>
                    <input type="hidden" name="nospk" class="form-control" required value="{% if edit %}{{dt_bap.SPK.id}}{% else %}{{dt_spk.id}}{% endif %}">
                </div>
             </div>
             <hr>   
             <div class="row">
                <div class="col-md-3"> Tanggal BAP </div>
                <div class="col-md-9"> 
                    <input type="date" value="{{dt_bap.tglbap|date:'Y-m-d'}}" onchange="updateTanggal('{% if edit %}{{dt_bap.SPK.id}}{% else %}{{dt_spk.id}}{% endif %}')" id="tglbapaaaaaaa-{% if edit %}{{dt_bap.SPK.id}}{% else %}{{dt_spk.id}}{% endif %}" name="tglbap" class="form-control" required placeholder="Isi nama pegawai">
                </div>
             </div>
             <hr>
             {% if edit %}
                {% for dt_penerima in dt_bap.penerimabap_set.all %}
                {% if dt_penerima.jabatan == 'Ketua PPHP' %}
                <div class="row">
                    <div class="col-md-3">Ketua </div>
                    <div class="col-md-9"> 
                        <input type="text" value="{{dt_penerima.name}}" name="ketua" class="form-control" required placeholder="Isi nama pegawai">
                    </div>
                </div>
                <hr>
                {% elif dt_penerima.jabatan == 'Sekertaris PPHP' %}
                <div class="row">
                    <div class="col-md-3"> Sekertaris </div>
                    <div class="col-md-9"> 
                        <input type="text" value="{{dt_penerima.name}}" name="sekertaris" class="form-control" required placeholder="Isi nama pegawai">
                    </div>
                </div>
                <hr>
                {% elif dt_penerima.jabatan == 'Anggota PPHP' %}
                <div class="row mb-2">
                    <div class="col-md-3"> Anggota </div>
                    <div class="col-md-9"> 
                        <input type="text" value="{{dt_penerima.name}}" name="anggota" class="form-control" required placeholder="Isi nama pegawai">
                    </div>
                </div>
                {% else %}


                {% endif %}
                {% endfor %}
            {% else %}

            {% for penerima_tambah in dt_penerima  %}
                {% if penerima_tambah.jabatan == 'Ketua PPHP' %}
                    <div class="row">
                        <div class="col-md-3">Ketua </div>
                        <div class="col-md-9"> 
                            <input type="text" value="{{penerima_tambah.nama}}" name="ketua" class="form-control" required placeholder="Isi nama pegawai">
                        </div>
                    </div>
                    <hr>
                {% elif penerima_tambah.jabatan == 'Sekertaris PPHP' %}
                    <div class="row">
                        <div class="col-md-3"> Sekertaris </div>
                        <div class="col-md-9"> 
                            <input type="text" value="{{penerima_tambah.nama}}" name="sekertaris" class="form-control" required placeholder="Isi nama pegawai">
                        </div>
                    </div>
                    <hr>
                {% elif penerima_tambah.jabatan == 'Anggota PPHP' %}
                    <div class="row mb-2">
                        <div class="col-md-3"> Anggota </div>
                        <div class="col-md-9"> 
                            <input type="text" value="{{penerima_tambah.nama}}" name="anggota" class="form-control" required placeholder="Isi nama pegawai">
                        </div>
                    </div>
                {% else %}
                        <p>Tidak ada data</p>
                {% endif %}
                
                {% endfor %}

         
            {% endif %}
          <div class="row mb-2 d-none">
            <div class="col-md-3"> Urai Tanggal </div>
            <div class="col-md-9"> 
                <input type="hidden" value="{{dt_bap.uraitgl}}" id="uraitgl-{% if edit %}{{dt_bap.SPK.id}}{% else %}{{dt_spk.id}}{% endif %}" name="uraitgl" class="form-control" required placeholder="">
            </div>
         </div>

        </div>
        <div class="col-md-6">

            <div class="row">
               <div class="col-md-3"> NO SPK </div>
               <div class="col-md-9"> 
                   <p>{% if edit %}{{dt_bap.SPK.nospk}}{% else %}{{dt_spk.nospk}}{% endif %}</p>
               </div>
            </div>
            
            <div class="row">
               <div class="col-md-3"> Tanggal SPK </div>
               <div class="col-md-9"> 
                   <p>{% if edit %}{{ dt_bap.SPK.tglspk|date:'d-M-Y' }}{% else %}{{ dt_spk.tglspk|date:'d-M-Y' }}{% endif %}</p>
               </div>
            </div>
            <hr>
           <div class="row">
               <div class="col-md-3"> Perusahaan </div>
               <div class="col-md-9"> 
                   <p>{% if edit %}{{dt_bap.SPK.perusahaan.namaperusahaan}}{% else %}{{dt_spk.perusahaan.namaperusahaan}}{% endif %}</p>
               </div>
            </div>
            
            <div class="row">
               <div class="col-md-3"> SKPD </div>
               <div class="col-md-9"> 
                   <p>{% if edit %}{{dt_bap.SPK.opd.namaopd}}{% else %}{{dt_spk.opd.namaopd}}{% endif %}</p>
               </div>
            </div>
            
        </div>
    </div>

     
    <div class="modal-footer">
        <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
        <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
    </div>
</form>



